/*
 * Kosmos.
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package hu.midori.kosmos.model;

/**
 * Wraps a <i>CruiseControl</i> continuous integration project.
 *
 * @author <a href="mailto:aron.gombas@midori.hu">Aron Gombas</a>
 * @version $Id$
 */
public class CcTest {
    /**
     * Its result.
     * @see CcTestResult
     */
    private int result;
    /** Class name of the test class. */
    private String className;
    /** Method name of the testcase method. */
    private String testCaseName;

    public CcTest(int result, String className, String testCaseName) {
        this.result = result;
        this.className = className;
        this.testCaseName = testCaseName;
    }

    public int getResult() {
        return result;
    }

    public String getClassName() {
        return className;
    }

    public String getTestCaseName() {
        return testCaseName;
    }

    public String toString() {
        return String.format("%s %s", className, testCaseName);
    }
}
