/*
 * Kosmos.
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package hu.midori.kosmos.model.util;


import java.util.Date;

/**
 * TODO rename, move             Wraps a <i>Confluence</i> page.
 *
 * @author <a href="mailto:aron.gombas@midori.hu">Aron Gombas</a>
 * @version $Id$
 */
public class TimestampedEntity extends IdentifiedEntity {// TODO nevezektan
    /** Date when it was created. */
    private Date dateCreated;
    /** Date when it was last touched. */
    private Date dateLastTouched;

    /**
     * By design this should be private to avoid instantiation
     * without discriminator, but Hessian needs default ctor.
     */
    public TimestampedEntity() {
        super(null);
    }

    public TimestampedEntity(String discriminator, Date dateCreated) {
        this(discriminator, dateCreated, null);
    }

    public TimestampedEntity(String discriminator, Date dateCreated, Date dateLastTouched) {
        super(discriminator);

        this.dateCreated = dateCreated;
        this.dateLastTouched = dateLastTouched;
    }

    /** Can be overriden if it is a computed field. */
    public Date getDateCreated() {
        return dateCreated;
    }

    /** Can be overriden if it is a computed field. */
    public Date getDateLastTouched() {
        return dateLastTouched;
    }

    /** Returns its age in milliseconds. */
    public long getAge() {
        return System.currentTimeMillis() - getDateCreated().getTime();
    }

    /** Returns its age in days. */
    public long getAgeInDays() {
        return getAge()/ModelUtils.MILLIS_PER_DAY;
    }

    /** Returns the age of its latest touch in milliseconds. */
    public long getLatestTouchAge() {
        return System.currentTimeMillis() - getDateLastTouched().getTime();
    }

    /** Returns the age of its latest touch in days. */
    public long getLatestTouchAgeInDays() {
        return getLatestTouchAge()/ModelUtils.MILLIS_PER_DAY;
    }
}
