/*
 * Kosmos.
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package hu.midori.kosmos.model.util;

/**
 * Wraps the immutable URLs pointing to the hi-res and lo-res
 * versions of the same image.
 *
 * @author <a href="mailto:aron.gombas@midori.hu">Aron Gombas</a>
 * @version $Id$
 */
public class ZoomableImageLocator {
    /** URL of the lo-res version of the image. */
    private String loresUrl;
    /** URL of the hi-res version of the image. */
    private String hiresUrl;

    public ZoomableImageLocator(String loresUrl, String hiresUrl) {
        this.loresUrl = loresUrl;
        this.hiresUrl = hiresUrl;
    }

    public String getHiresUrl() {
        return hiresUrl;
    }

    public String getLoresUrl() {
        return loresUrl;
    }

    public String toString() {
        return String.format("Lo:[%s] Hi:[%s]", loresUrl, hiresUrl);
    }
}
