/*
 * Kosmos.
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package hu.midori.kosmos.portlet.util;

import java.util.ArrayList;
import java.util.List;
import java.util.StringTokenizer;

/**
 * Utility methods for portlets.
 * 
 * @author <a href="mailto:aron.gombas@midori.hu">Aron Gombas</a>
 * @version $Id$
 */
public class PortletUtils {
    /** This class should never be instantiated. */
    protected PortletUtils() { }
    
    /** Breaks a comma-separated string to its components and returns them as <code>List<code>. */
    public static List<String> breakCommaSeparatedString(String commaSeparated) {
        if(commaSeparated == null)
            return null;
        
        StringTokenizer tokenizer = new StringTokenizer(commaSeparated, ",");
        List<String> result = new ArrayList<String>();
        while(tokenizer.hasMoreTokens())
            result.add(tokenizer.nextToken().trim());
        return result;
    }
}
