/*
 * Kosmos.
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package hu.midori.kosmos.protocol;

import hu.midori.kosmos.model.SfRelease;

import java.util.List;

/**
 * This service provides information about <i>SourceForge</i>
 * projects and releases.
 *
 * @author <a href="mailto:aron.gombas@midori.hu">Aron Gombas</a>
 * @version $Id$
 */
public interface SfService extends TimestampedService {
    /** 
     * Returns the file-releases related to a SF project.
     * @param url points to a SF project page (eg. <code>http://www.sourceforge.net/projects/struts</code>).
     */
    List<SfRelease> getFileReleases(String url);
}
